@echo off
REM FFMpeg fuer WebM VP8-Video
REM ==========================
REM
REM FFmpeg version SVN-r23197, Copyright (c) 2000-2010 the FFmpeg developers
REM built on May 22 2010 21:02:33 with gcc 4.2.1-sjlj (mingw32-2)
REM libavutil     50.15. 2 / 50.15. 2
REM libavcodec    52.68. 2 / 52.68. 2
REM libavformat   52.64. 0 / 52.64. 0
REM libavdevice   52. 2. 0 / 52. 2. 0
REM libavfilter    1.20. 0 /  1.20. 0
REM libswscale     0.10. 0 /  0.10. 0
REM libpostproc   51. 2. 0 / 51. 2. 0
REM
REM Download per FFMpeg ohne Batch-File per http://micksam7.com/blog/index.php/?p=743
REM
REM
REM Encoding-Einstellungen
REM ----------------------
if exist *.log del *.log >NUL
if exist ffmepg_webm_2Pass.webm del ffmepg_webm_2Pass.webm > NUL
REM
set zbr=20000
REM     Ziel-Bitrate in kbits pro sec. Bis 20000 wird Datei so gross wie Original.
REM                                    Angabe ist nicht linear proportional zur Ziel-Dateigroesse.
REM     Warnung: Je hoeher um so groesser wird die webm-Datei aber der hoerbare Nutzen kleiner.
REM              Wenn Wert zu hoch, dann wird webm-Datei groesser als die Quelldatei.
REM
set thn=1
REM     Anzahl der Encoding-Threads ab 1
REM
set zvq=3
REM     Ziel-Videoqualitaet 1 beste (extrem langsam), 2 mittlere, 3 geringste (schnellste)
REM
set zvb=100
REM     Ziel-Videobreite in Pixel
REM
set zvh=68
REM     Ziel-Videohoehe in Pixel
REM
set zva=1.7777
REM     Ziel-Videoseitenverhaeltnis
REM           fuer  4:3  1.3333 angeben
REM           fuer 16:9  1.7777 angeben
REM
cls
echo ffmpeg fuer WebM
echo. 
echo    VP8-Codec fuer Video (kein Audio)
echo        Google On2, http://code.google.com/p/webm/downloads/list
echo.
echo    Ogg-Codec fuer Audio (inkl. OGV-Video-Codec als Pendant zu VP8)
echo        Theora, http://xiph.org/dshow/
echo.
echo Verwendete Encoding-Werte sind
echo.
echo  Ziel-Bitrate = %zbr% kbits pro sec (z.B. 200)
echo  Ziel-Videoqualitaet pro Durchlauf = %zvq% (1 beste, 2 mittlere, 3 geringste)
echo                                        (1 bewirkt extrem langsames Encoding !)
echo  kein Audio
echo  Anzahl der Encoding-Durchlaeufe = 1
echo  Anzahl Threads der Encodierung = %thn% (ab 1)
IF not exist ffmpeg_webm.exe goto fehler1
REM
REM input
IF "%1%" == "" goto fehler2
if exist %1.webm.log.txt del %1.webm.log.txt
REM
echo.
echo.
ffmpeg_webm.exe -i %1 -b %zbr%k -aq 60 -threads %thn% -level %zvq%00  -s %zvb%x%zvh% -aspect %zva% -pass 1 -y  ffmepg_webm_2Pass.webm
REM     -aq muss in Pass 1 einen Wert bekommen
REM     erzeugt log-Datei fuer Pass 2 so dass webm-Datei nicht benoetigt wird.
REM     status-log-datei wird fuer Pass 1 nicht erzeugt
if exist ffmepg_webm_2Pass.webm del ffmepg_webm_2Pass.webm > NUL
if not exist *.log goto fehler3
ffmpeg_webm.exe -i %1 -b %zbr%k -an -threads %thn% -level %zvq%00  -s %zvb%x%zvh% -aspect %zva% -pass 2 -y -vstats_file %1.webm.log.txt %1.webm
REM     erzeugt Ziel-webm-Datei
goto ende
:fehler1
echo.
echo.
echo ***** ffmpeg_webm.exe   nicht gefunden !
goto anz
:fehler2
echo.
echo.
echo ***** Inputfile     %1    nicht gefunden !
:anz
echo.
echo Aufruf ffmpeg_webm.bat input_file 
echo.
echo   z.B. ffmpeg_webm.bat t.mpg
goto ende
:fehler3
echo.
echo  2. Pass nicht moeglich, da 1. Pass fehlerhaft geendet ist !
:ende
set zbr=
set thn=
set zvq=
set zvb=
set zvh=
set zva=
if exist *.log del *.log >NUL
if exist ffmepg_webm_2Pass.webm del ffmepg_webm_2Pass.webm > NUL
echo.
echo.
echo ***** Ende *****
echo.
echo.
pause
